<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>List Event</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Absensi Event <span th:text="${event.eventName}"></span></span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
<!--        <div class="row" th:if="${success != null}">-->
<!--            <div class="col">-->
<!--                <div class="alert alert-success">-->
<!--                    <span th:text="${success}"></span>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="row">-->

<!--        </div>-->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Detail Mahasiswa</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/admin}" class="btn btn-sm btn-default"><i class="fas fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <!--                    <div class="card-body border-0">-->
                    <div class="table-responsive">
                        <table class="table table-striped table-flush table-hover table-sm">
                            <thead class="thead-light">
                            <tr>
                                <th width="10px">No</th>
                                <th>NIM</th>
                                <th>Nama</th>
                                <th>Status Kehadiran</th>
                                <th>Waktu Absen</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${listMhs}">
                                <td class="align-middle text-right" th:text="${(row.index + 1) + (listMhs.number * listMhs.size)}">1</td>
                                <td class="align-middle" th:text="${data[1]}">Panduan Akademik 2024-2025</td>
                                <td class="align-middle" th:text="${data[2]}">Panduan Akademik 2024-2025</td>
                                <td class="align-middle" th:text="${data[4]}">Panduan Akademik 2024-2025</td>
                                <td class="align-middle" th:text="${data[5]}">Panduan Akademik 2024-2025</td>
<!--                                <td class="align-middle" th:text="${#temporals.format(data[5],'dd-MMM-yyyy HH:mm:ss')}">01 September 2024 - 31 Agustus 2025</td>-->
                                <td th:if="${data[0] != null}" class="align-middle p-0">
                                    <a class="btn btn-sm btn-success" title="Download Bukti" th:href="@{/attendance/{eventAbsensi}/download(eventAbsensi = ${data[0]})}">
                                        <i class="fa fa-file"></i> Bukti
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>
        </div>

    </div>
</div>
</body>
</html>